# xsbt-web-plugin

xsbt-web-plugin is an [sbt](http://www.scala-sbt.org/) extension for building [J2EE](http://en.wikipedia.org/wiki/Java_Servlet) Web applications in Scala and Java.  It is best suited for projects that:

* Deploy to common cloud platforms (e.g. [Google App Engine](https://developers.google.com/appengine/), [Heroku](https://www.heroku.com/), [Elastic Beanstalk](https://console.aws.amazon.com/elasticbeanstalk/home), [Jelastic](http://jelastic.com/))
* Deploy to production J2EE environments (e.g. Tomcat, Jetty, GlassFish, WebSphere)
* Incorporate J2EE libraries (e.g. [JSP](http://en.wikipedia.org/wiki/JavaServer_Pages), [JSF](http://en.wikipedia.org/wiki/JavaServer_Faces), [EJB](http://en.wikipedia.org/wiki/Ejb))
* Utilize J2EE technologies (e.g. [`Servlet`](http://docs.oracle.com/javaee/6/api/javax/servlet/Servlet.html), [`Filter`](http://docs.oracle.com/javaee/6/api/javax/servlet/Filter.html), [JNDI](http://en.wikipedia.org/wiki/Java_Naming_and_Directory_Interface))
* Have a specific need to be packaged as a [*.war* file](https://en.wikipedia.org/wiki/WAR_%28Sun_file_format%29)

## Reference manual

Documentation is available by minor release version.  Version numbers follow the [Specified Versioning](http://earldouglas.com/articles/specver.html) guidelines.

* [Version 2.0](https://github.com/earldouglas/xsbt-web-plugin/blob/master/docs/2.0.md) *(current)*
* [Version 1.1](https://github.com/earldouglas/xsbt-web-plugin/blob/master/docs/1.1.md)
* [Version 1.0](https://github.com/earldouglas/xsbt-web-plugin/blob/master/docs/1.0.md)
* [Version 0.9](https://github.com/earldouglas/xsbt-web-plugin/blob/master/docs/0.9.md)

